# OqlQueryExpression Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlQueryExpression:
[legend]

List of all members.

## Public Member Functions

| getClassName ()
| setClassName ($className)
| getParameters ()
| hasParameter ($index)
| getParameter ($index)
| addParameter (OqlQueryParameter $parameter)
| setParameter ($index, OqlQueryParameter $parameter)
| evaluate ($values)

## Static Public Member Functions

static | create ()

## Private Attributes

| $className = null
| $parameters = array()

## Static Private Attributes

static | $classes = array()

## Detailed Description

Definition at line 15 of file OqlQueryExpression.class.php.

## Member Function Documentation

OqlQueryExpression::addParameter | ( | OqlQueryParameter $ | parameter | ) |

Returns:
  OqlQueryExpression

Definition at line 66 of file OqlQueryExpression.class.php.

Referenced by OqlPrefixMinusExpression::__construct(), OqlOrderByExpression::__construct(), and OqlInExpression::__construct().

static OqlQueryExpression::create | ( |  | ) | `[static]`

Returns:
  OqlQueryExpression

Reimplemented from OqlQueryParameter.

Definition at line 25 of file OqlQueryExpression.class.php.

Referenced by OqlParser::makeQueryExpression().

OqlQueryExpression::evaluate | ( | $ | values | ) |

Reimplemented from OqlQueryParameter.

Reimplemented in OqlInExpression, OqlOrderByExpression, and OqlPrefixMinusExpression.

Definition at line 83 of file OqlQueryExpression.class.php.

References $className, $parameters, getClassName(), getParameter(), and hasParameter().

Here is the call graph for this function:

OqlQueryExpression::getClassName | ( |  | ) |

Definition at line 30 of file OqlQueryExpression.class.php.

Referenced by OqlWhereClause::checkExpression(), OqlHavingClause::checkExpression(), and evaluate().

OqlQueryExpression::getParameter | ( | $ | index | ) |

Returns:
  OqlQueryParameter

Definition at line 58 of file OqlQueryExpression.class.php.

Referenced by evaluate(), OqlPrefixMinusExpression::evaluate(), and OqlInExpression::evaluate().

OqlQueryExpression::getParameters | ( |  | ) |

Definition at line 45 of file OqlQueryExpression.class.php.

OqlQueryExpression::hasParameter | ( | $ | index | ) |

Definition at line 50 of file OqlQueryExpression.class.php.

Referenced by evaluate().

OqlQueryExpression::setClassName | ( | $ | className | ) |

Returns:
  OqlQueryExpression

Definition at line 38 of file OqlQueryExpression.class.php.

References $className.

Referenced by OqlPrefixMinusExpression::__construct(), and OqlOrderByExpression::__construct().

OqlQueryExpression::setParameter | ( | $ | index,
|  | OqlQueryParameter $ | parameter |
| ) |  |  |

Returns:
  OqlQueryExpression

Definition at line 76 of file OqlQueryExpression.class.php.

## Member Data Documentation

OqlQueryExpression::$classes = array()`[static, private]`

Definition at line 17 of file OqlQueryExpression.class.php.

OqlQueryExpression::$className = null`[private]`

Definition at line 19 of file OqlQueryExpression.class.php.

Referenced by evaluate(), and setClassName().

OqlQueryExpression::$parameters = array()`[private]`

Definition at line 20 of file OqlQueryExpression.class.php.

Referenced by evaluate().

The documentation for this class was generated from the following file:

- main/OQL/Expressions/OqlQueryExpression.class.php